struct SInput
{
    float4 Pos : POSITION;
    float2 Tex : TEXCOORD0;
};

struct SOutput
{
    float4 Pos : SV_POSITION;              
    float2 Tex : TEXCOORD0;
};

SOutput FullscreenQuadVertexShader(SInput input)
{
    SOutput output;
    output.Pos = input.Pos;
    output.Tex = input.Tex;
    return output;
}